      character*5 iden
      character*39 balast
      character*7 jmeno
      OPEN(1,FILE = 'followup.html', STATUS='OLD')
      OPEN(2,FILE = 'fol.dat')  
2     format(A5)
3     format(A5,A39,A7)
4     format (A7) 
      iden='xxxxx'
      j=0
10    IF (iden .NE. '<ul> ') THEN
      read(1,2) iden  
      GOTO 10
      ENDIF 
      write(*,*) 'Short arc'   
      write(2,*) 'Short arc'                          
      read(1,3) iden, balast, jmeno
20    IF (iden .NE. '</ul> ') THEN
      write(*,*) jmeno
      write(2,4) jmeno
      j=j+1
      read(1,3) iden, balast, jmeno
      GOTO 20
      ENDIF     
      DO 25 i=1,3
      read(1,2) iden 
25    continue    
      write(*,*) 'Recoveries'   
      write(2,*) 'Recoveries'   
      read(1,3) iden, balast, jmeno
30    IF (iden .NE. '</ul> ') THEN
      write(*,*) jmeno
      write(2,4) jmeno
      j=j+1
      read(1,3) iden, balast, jmeno
      GOTO 30
      ENDIF     
      DO 35 i=1,3
      read(1,2) iden 
35    continue    
      write(*,*) 'Multiple-opposition'   
      write(2,*) 'Multiple-opposition'   
      read(1,3) iden, balast, jmeno
40    IF (iden .NE. '</ul> ') THEN
      write(*,*) jmeno
      write(2,4) jmeno
      j=j+1
      read(1,3) iden, balast, jmeno
      GOTO 40
      ENDIF     
      close(1)
      close(2)
      write(*,*) '-------------------------'
      write(*,*) j, ' objektu'      
      stop
      end